import { Bundle, createAppTester, ZObject } from "zapier-platform-core";
import { ZapierApp } from "./types";
export declare let App: ZapierApp;
export declare let appTester: ReturnType<typeof createAppTester>;
export declare function allowNet(): void;
export declare function describe(title: string, cb: () => void): any;
export declare function setApp(appRaw: any): void;
export declare function testCreate(key: string, bundle: Partial<Bundle>): Promise<object>;
export declare function testTrigger(key: string, bundle: Partial<Bundle>): Promise<object>;
export declare function testSearch(key: string, bundle: Partial<Bundle>): Promise<object>;
export declare const zMock: {
    create: (fn: (z: ZObject, bundle: Bundle) => Promise<object>) => (bundle: Partial<Bundle>) => Promise<object>;
    trigger: (fn: (z: ZObject, bundle: Bundle) => Promise<object>) => (bundle: Partial<Bundle>) => Promise<object>;
    search: (fn: (z: ZObject, bundle: Bundle) => Promise<object>) => (bundle: Partial<Bundle>) => Promise<object>;
};
