import { ZObject, Bundle as ZBundle } from "zapier-platform-core";
interface ZapierEntity {
    [key: string]: {
        key: string;
        operation: {
            perform: (z: ZObject, bundle: Bundle) => Promise<object>;
        };
    };
}
export declare type ZapierApp = {
    creates: ZapierEntity;
    triggers: ZapierEntity;
    searches: ZapierEntity;
};
export declare type Bundle = Partial<ZBundle>;
export declare type ZPerform = (z: ZObject, bundle: Bundle) => Promise<object>;
export {};
